INTERFACE
SUBROUTINE EBALADS(LDADD,PNOR,KFIELD,KFLSUR,KUMP,KMSMAX,KESM0,KSPEC2,PVOR,PZ)
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KFLSUR
INTEGER(KIND=JPIM),INTENT(IN) :: KMSMAX
INTEGER(KIND=JPIM),INTENT(IN) :: KSPEC2
LOGICAL ,INTENT(IN) :: LDADD
REAL(KIND=JPRB) ,INTENT(IN) :: PNOR
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELD
INTEGER(KIND=JPIM),INTENT(IN) :: KUMP
INTEGER(KIND=JPIM),INTENT(IN) :: KESM0(0:KMSMAX)
REAL(KIND=JPRB) ,INTENT(IN) :: PVOR(KFLSUR,KSPEC2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZ(KFLSUR,KSPEC2)
END SUBROUTINE EBALADS
END INTERFACE
